### Hierarchy

- AtomWebTest
  - AtomControlStyleTest

## Index

### Constructors

- constructor

### Properties

- app
- logText

### Accessors

- navigationService

### Methods

- createViewModel
- defaultStyle
- delay
- dispose
- inheritedStyle
- init
- log
- styleChange
- styleClass

## Constructors

### constructor

- new AtomControlStyleTest(): AtomControlStyleTest

- Inherited from AtomWebTest.constructor

  Overrides AtomTest.constructor

  - Defined in tests/web/AtomWebTest.ts:14

  #### Returns AtomControlStyleTest

## Properties

### Protected app

app: MockApp

Inherited from AtomTest.app

- Defined in unit/AtomTest.ts:8

### logText

logText: string

Inherited from TestItem.logText

- Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:2

## Accessors

### navigationService

- get navigationService(): MockNavigationService

- Inherited from AtomWebTest.navigationService

  - Defined in tests/web/AtomWebTest.ts:12

  #### Returns MockNavigationService

## Methods

### createViewModel

- createViewModel<T>(c: IClassOf<T>): Promise<T>

- Inherited from AtomTest.createViewModel

  - Defined in unit/AtomTest.ts:12

  #### Type parameters

  - #### T: AtomViewModel

  #### Parameters

  - ##### c: IClassOf<T>

  #### Returns Promise<T>

### defaultStyle

- defaultStyle(): Promise<void>

- - Defined in tests/web/controls/AtomControlStyleTest.ts:67

  #### Returns Promise<void>

### delay

- delay(n: number): Promise<any>

- Inherited from TestItem.delay

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:6

  #### Parameters

  - ##### n: number

  #### Returns Promise<any>

### dispose

- dispose(): Promise<any>

- Inherited from AtomWebTest.dispose

  Overrides TestItem.dispose

  - Defined in tests/web/AtomWebTest.ts:23

  #### Returns Promise<any>

### inheritedStyle

- inheritedStyle(): Promise<void>

- - Defined in tests/web/controls/AtomControlStyleTest.ts:77

  #### Returns Promise<void>

### init

- init(): Promise<any>

- Inherited from TestItem.init

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:3

  #### Returns Promise<any>

### log

- log(text: string): void

- Inherited from TestItem.log

  - Defined in /home/runner/work/web-atoms-core/web-atoms-core/node_modules/@web-atoms/unit-test/dist/TestItem.d.ts:5

  #### Parameters

  - ##### text: string

  #### Returns void

### styleChange

- styleChange(): Promise<void>

- - Defined in tests/web/controls/AtomControlStyleTest.ts:87

  #### Returns Promise<void>

### styleClass

- styleClass(): Promise<void>

- - Defined in tests/web/controls/AtomControlStyleTest.ts:99

  #### Returns Promise<void>

Generated using TypeDoc